AntiFeatures:
    NonFreeNet:
        en-US: Rely on OpenStreetMap.
Categories:
  - Navigation
License: GPL-3.0-only
AuthorName: Myzel394
AuthorEmail: github.7a2op@simplelogin.co
SourceCode: https://github.com/Myzel394/locus
IssueTracker: https://github.com/Myzel394/locus/issues
Bitcoin: bc1qw054829yj8e2u8glxnfcg3w22dkek577mjt5x6

AutoName: Locus

RepoType: git
Repo: https://github.com/Myzel394/locus.git

Builds:
  - versionName: 0.14.1
    versionCode: 5331
    commit: v0.14.1
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d25
    rm:
      - ios
    prebuild:
      - export version=$(sed -E -n -e "s/^.*flutter-version:\ '([0-9.]+)'.*$/\1/p"
        .github/workflows/release-app.yaml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - sed -i -e "s/^\#f//" pubspec.yaml
      - sed -i -e 's/^\/\/f //' android/app/build.gradle
      - sed -i -e '/<!-- GMS -->/{N;d;}' android/app/src/main/AndroidManifest.xml
      - sed -i -e '/checkForUpdates/d' lib/main.dart
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter gen-l10n
    scanignore:
      - android/build.gradle
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform=android-x64

  - versionName: 0.14.1
    versionCode: 5332
    commit: v0.14.1
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d25
    rm:
      - ios
    prebuild:
      - export version=$(sed -E -n -e "s/^.*flutter-version:\ '([0-9.]+)'.*$/\1/p"
        .github/workflows/release-app.yaml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - sed -i -e "s/^\#f//" pubspec.yaml
      - sed -i -e 's/^\/\/f //' android/app/build.gradle
      - sed -i -e '/<!-- GMS -->/{N;d;}' android/app/src/main/AndroidManifest.xml
      - sed -i -e '/checkForUpdates/d' lib/main.dart
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter gen-l10n
    scanignore:
      - android/build.gradle
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform=android-arm

  - versionName: 0.14.1
    versionCode: 5333
    commit: v0.14.1
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d25
    rm:
      - ios
    prebuild:
      - export version=$(sed -E -n -e "s/^.*flutter-version:\ '([0-9.]+)'.*$/\1/p"
        .github/workflows/release-app.yaml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - sed -i -e "s/^\#f//" pubspec.yaml
      - sed -i -e 's/^\/\/f //' android/app/build.gradle
      - sed -i -e '/<!-- GMS -->/{N;d;}' android/app/src/main/AndroidManifest.xml
      - sed -i -e '/checkForUpdates/d' lib/main.dart
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter gen-l10n
    scanignore:
      - android/build.gradle
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform=android-arm64

  - versionName: 0.14.2
    versionCode: 5341
    commit: f9ed3121086e4d47d853d46b11831d81a51f3fca
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d25
    rm:
      - ios
    prebuild:
      - export version=$(sed -E -n -e "s/^.*flutter-version:\ '([0-9.]+)'.*$/\1/p"
        .github/workflows/release-app.yaml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - sed -i -e "s/^\#f//" pubspec.yaml
      - sed -i -e 's/^\/\/f //' android/app/build.gradle
      - sed -i -e '/<!-- GMS -->/{N;d;}' android/app/src/main/AndroidManifest.xml
      - sed -i -e '/checkForUpdates/d' lib/main.dart
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter gen-l10n
    scanignore:
      - android/build.gradle
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform=android-x64

  - versionName: 0.14.2
    versionCode: 5342
    commit: f9ed3121086e4d47d853d46b11831d81a51f3fca
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d25
    rm:
      - ios
    prebuild:
      - export version=$(sed -E -n -e "s/^.*flutter-version:\ '([0-9.]+)'.*$/\1/p"
        .github/workflows/release-app.yaml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - sed -i -e "s/^\#f//" pubspec.yaml
      - sed -i -e 's/^\/\/f //' android/app/build.gradle
      - sed -i -e '/<!-- GMS -->/{N;d;}' android/app/src/main/AndroidManifest.xml
      - sed -i -e '/checkForUpdates/d' lib/main.dart
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter gen-l10n
    scanignore:
      - android/build.gradle
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform=android-arm

  - versionName: 0.14.2
    versionCode: 5343
    commit: f9ed3121086e4d47d853d46b11831d81a51f3fca
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d25
    rm:
      - ios
    prebuild:
      - export version=$(sed -E -n -e "s/^.*flutter-version:\ '([0-9.]+)'.*$/\1/p"
        .github/workflows/release-app.yaml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - sed -i -e "s/^\#f//" pubspec.yaml
      - sed -i -e 's/^\/\/f //' android/app/build.gradle
      - sed -i -e '/<!-- GMS -->/{N;d;}' android/app/src/main/AndroidManifest.xml
      - sed -i -e '/checkForUpdates/d' lib/main.dart
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter gen-l10n
    scanignore:
      - android/build.gradle
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform=android-arm64

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[\d.]+$
VercodeOperation:
  - 5001 + %c * 10
  - 5002 + %c * 10
  - 5003 + %c * 10
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 0.14.2
CurrentVersionCode: 5343
